perl-Perl-Critic-Nits-1.0.0-8.mga7.noarch.rpm


Advertisement

Description

perl-Perl-Critic-Nits - Policies of nits I like to pick

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package filename perl-Perl-Critic-Nits-1.0.0-8.mga7.noarch.rpm
Package name perl-Perl-Critic-Nits
Package version 1.0.0
Package release 8.mga7
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage http://search.cpan.org/dist/Perl-Critic-Nits
License GPL+ or Artistic
Maintainer -
Download size 14.57 KB
Installed size 10.37 KB
The included policy is:
* the
Perl::Critic::Policy::ValuesAndExpressions::ProhibitAccessOfPrivateData
manpage
Prohibits direct access to a hash-based object's hash. [Severity: 5]

Alternatives

Package Version Architecture Repository
perl-Perl-Critic-Nits-1.0.0-8.mga7.noarch.rpm 1.0.0 noarch Mageia Core
perl-Perl-Critic-Nits - - -

Requires

Name Value
perl(Perl::Critic) >= 1.70.0
perl(Perl::Critic::Policy) -
perl(Perl::Critic::Utils) -
perl(Readonly) -
perl(Test::More) -
perl(base) -
perl(strict) -
perl(version) -
perl(warnings) -
perl-base >= 2:5.28.0

Provides

Name Value
perl(Perl::Critic::Nits) -
perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitAccessOfPrivateData) -
perl-Perl-Critic-Nits == 1.0.0-8.mga7

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package perl-Perl-Critic-Nits-1.0.0-8.mga7.noarch.rpm
Source Package perl-Perl-Critic-Nits-1.0.0-8.mga7.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Perl-Critic-Nits rpm package:
    # urpmi perl-Perl-Critic-Nits

Files

Path
/usr/share/doc/perl-Perl-Critic-Nits/Changes
/usr/share/doc/perl-Perl-Critic-Nits/META.yml
/usr/share/doc/perl-Perl-Critic-Nits/README
/usr/share/man/man3/Perl::Critic::Nits.3pm.xz
/usr/share/man/man3/Perl::Critic::Policy::ValuesAndExpressions::ProhibitAccessOfPrivateData.3pm.xz
/usr/share/perl5/vendor_perl/Perl/
/usr/share/perl5/vendor_perl/Perl/Critic/Nits.pm
/usr/share/perl5/vendor_perl/Perl/Critic/Policy/
/usr/share/perl5/vendor_perl/Perl/Critic/Policy/ValuesAndExpressions/ProhibitAccessOfPrivateData.pm

Changelog

2018-09-19 - umeabot <umeabot> 1.0.0-8.mga7
(not released yet)
+ Revision: 1270501
- Mageia 7 Mass Rebuild
2016-06-19 - pterjan <pterjan> 1.0.0-7.mga6
+ Revision: 1031966
- Rebuild for perl 5.22.2
2016-02-08 - umeabot <umeabot> 1.0.0-6.mga6
+ Revision: 945981
- Mageia 6 Mass Rebuild

See Also

Package Description
perl-Perl-Critic-PetPeeves-JTRAMMELL-0.40.0-8.mga7.noarch.rpm Prohibit superfluous initializations
perl-Perl-Critic-Pulp-97.0.0-1.mga8.noarch.rpm Don't use Foo:: style barewords
perl-Perl-Critic-Storable-0.10.0-8.mga7.noarch.rpm Perl::Critic policy for using Storable
perl-Perl-Critic-StricterSubs-0.50.0-4.mga7.noarch.rpm Perl::Critic plugin for stricter subroutine checks
perl-Perl-Critic-Swift-1.0.3-8.mga7.noarch.rpm Additional policies for Perl::Critic
perl-Perl-Critic-Tics-0.9.0-6.mga7.noarch.rpm (this => is => not => good)
perl-Perl-Destruct-Level-0.20.0-19.mga8.i586.rpm Allow to change perl's destruction level
perl-Perl-Metrics-Simple-0.180.0-4.mga7.noarch.rpm Methods analyzing a single file
perl-Perl-MinimumVersion-1.380.0-7.mga7.noarch.rpm Find a minimum required version of perl for Perl code
perl-Perl-OSType-1.10.0-2.mga7.noarch.rpm Map Perl operating system names to generic types
perl-Perl-PrereqScanner-1.23.0-4.mga7.noarch.rpm A tool to scan your Perl code for its prerequisites
perl-Perl-PrereqScanner-NotQuiteLite-0.990.800-1.mga8.noarch.rpm A tool to scan your Perl code for its prerequisites
perl-Perl-Tags-0.320.0-7.mga7.noarch.rpm Testing output of L<Perl::Tags>
perl-Perl-Tidy-20190915.0.0-1.mga8.noarch.rpm Parses and beautifies perl source
perl-Perl-Tidy-Sweetened-1.150.0-1.mga7.noarch.rpm Tweaks to Perl::Tidy to support some syntactic sugar
Advertisement
Advertisement